<?php
include('Connection.php');
include('user.php');

Class UserGateway{
    private Connection $con;

    public function __construct(Connection $con){
        $this->con=$con;
    }

    public function insert(User $u):int{

        // récupération id
        $query='SELECT id_user FROM Users WHERE id_user >= ALL (SELECT id_user FROM Users);';
        $this->con->executeQuery($query);
        $result=$this->con->getResults();
        foreach($result as $row){
            $id=$row['id_user'] + 1;
        }
        // insertion user 
        $query='INSERT INTO Users VALUES (:id,:username,:email,:passwd,CURRENT_DATE,false);';
        $this->con->executeQuery($query,array(':id' => array($id,PDO::PARAM_INT),':username' => array($u->username,PDO::PARAM_STR),':email' => array($u->email,PDO::PARAM_STR),':passwd' => array($u->passwd,PDO::PARAM_STR)));
        return $id;
    }
    
    public function delete(int $id){

        // supretion user 
        $query='DELETE FROM Users WHERE id_user = :id;';
        $this->con->executeQuery($query,array(':id' => array($id,PDO::PARAM_INT)));
    }
    
    public function searchQuote(string $quote,int $numpage)//: 
    {
        $query="Select * From Quote Where content LIKE '%:quote%' Limit 20 OFFSET :page*20;";
        $this->con->executeQuery($query,array(':quote' => array($quote,PDO::PARAM_STR),':page' => array($numpage,PDO::PARAM_INT)));
        //return ;
    }

}
$uG = new UserGateway(new Connection("pgsql:host=londres;dbname=dbkekentin","kekentin",""));
$uG->delete(2);
?>